Skip to main content
POST
/
v1
/
audio
/
extract
{
  "input": "https://example.com/video.mp4",
  "format": "mp3",
  "bitrate": "192k"
}
curl -X POST https://api.ringbee.dev/v1/audio/extract \
  -H "X-API-Key: YOUR_API_KEY" \
  -F "file=@audio.mp3" \
  -F "format=mp3" \
  -F "bitrate=192k"
{
  "id": "job_abc123",
  "status": "pending"
}
{
  "error": "<string>"
}
{
  "error": "<string>"
}
{
  "input": "https://example.com/video.mp4",
  "format": "mp3",
  "bitrate": "192k"
}
curl -X POST https://api.ringbee.dev/v1/audio/extract \
  -H "X-API-Key: YOUR_API_KEY" \
  -F "file=@audio.mp3" \
  -F "format=mp3" \
  -F "bitrate=192k"
ParamTypeDescription
formatstringOutput audio format: mp3, aac, wav, flac, ogg
bitratestringAudio bitrate (e.g., “192k”)

Authorizations

X-API-Key
string
header
required

Body

input
string
required

Input file URL

format
string

Output audio format: mp3, aac, wav, flac, ogg

bitrate
string

Audio bitrate (e.g., "192k")

webhook_url
string

URL to receive job completion notification

Response

Job accepted

id
string
Example:

"job_abc123"

status
enum<string>
Available options:
pending,
processing,
completed,
failed,
cancelled
Example:

"pending"